Skip to main content
POST
/
gst
/
compliance
/
tax-payer
/
gstrs
/
gstr-2b
/
{year}
/
{month}
/
regenerate
Regenerate GSTR-2B
curl --request POST \
  --url https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/{year}/{month}/regenerate \
  --header 'authorization: <authorization>' \
  --header 'x-api-key: <x-api-key>'
import requests

url = "https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/{year}/{month}/regenerate"

headers = {
"authorization": "<authorization>",
"x-api-key": "<x-api-key>"
}

response = requests.post(url, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {authorization: '<authorization>', 'x-api-key': '<x-api-key>'}
};

fetch('https://api.sandbox.co.in/gst/compliance/tax-payer/gstrs/gstr-2b/{year}/{month}/regenerate', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "code": 200,
  "data": {
    "data": {
      "reference_id": "0032e479bcb644c"
    },
    "status_cd": "1"
  },
  "timestamp": 1763446641000,
  "transaction_id": "a0dd3f41-3635-4a7b-96a1-ae4225d2e86b"
}

Request body schema

View request body schema

Headers

authorization
string
required

GST taxpayer access token. For token-generation steps, refer to the Generate Taxpayer Session recipe, then pass the token in the authorization header.

x-api-version
string
default:1.0.0

API version

x-api-key
string
required

API key for identification

Path Parameters

year
string
required
month
string
required

Response

200 - application/json

IMS2B007 Incorrect ITC period or 3B already filed / 200 Regeneration 2B started / IMS2B009 Generate 2b after draft is available

code
number
Example:

200

data
object
timestamp
number
Example:

1763446641000

transaction_id
string
Example:

"2834a903-98bc-4262-8532-84dd28071900"